Do I need shsh blobs for upgrading aswell??

Discussion in 'iPad' started by funwithamar, Mar 25, 2011.

  1. funwithamar macrumors regular

    Joined:
    Dec 1, 2008
    #1
    So my friend brings me an iPad that he wants me to update from 3.2.2 to 4.x
    So I download the 4.2.1 fw for iPad and try doing a restore to the stock fw, but this ends up in an error saying "this device is not eligible for this build"

    Now because this device does not have shsh blobs saved for 4.2.1 I can't try using tiny umbrella and I don't won't to go to 4.3 right now.

    I know about shsh blobs and I understand that I need them in case I ever decide to downgrade in future.

    Question : what I would like to know is that do I need the shsh blobs even for upgrading to a newer version ?? If not then what do I do to restore to 4.2.1 ???
    I've tried looking around but couldn't get an answer
     
  2. Mystikal macrumors 68020

    Mystikal

    Joined:
    Oct 4, 2007
    Location:
    Irvine, CA
    #2
    He is using a beta firmware. And no, you don't need the blobs.
     
  3. Night Spring macrumors G5

    Night Spring

    Joined:
    Jul 17, 2008
    #3
    Yes, you do need the SHSH, even to upgrade. So no, you can't install 4.2.1, just the current firmware, which is now 4.3.1.
     
  4. Krandor macrumors 6502

    Joined:
    Jul 15, 2010
    #4
    Apple is only signing 4.3 so the only official upgrade path is to 4.3. To change to any other OS includung 4.2.1 you must have saved SHSH blobs.
     
  5. funwithamar thread starter macrumors regular

    Joined:
    Dec 1, 2008

Share This Page